<?
	include("includes/pagesetup.inc");
?>
<?
//	printf("in layouts.php<br>\n");
	if (isset($_REQUEST['f'])) {
		include("includes/layoutengine.inc");
		return;
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="StyleSheet" href="<? echo $css; ?>" type="text/css" media="screen">
<title></title>
<meta name="description" content="">
<meta name="keywords" content="">
</head>
<body>
<?
include( $banner );
?>
<table border=0><tr>
<td valign="top" class="navcol">
<?
include("$sitenav");
?>
</td>
<td valign="top" class="contentcol">

<h2>Participating Layouts</h2>

<p>
These layouts are expected to participate in BayRails 11. Others may be added, so check this page often. 
<br>
All layouts' participation is subject to change without notice.
</p>
<table cellspacing=6 border=1 class="VisTable">
<tr><th>Member Name</th><th>Teaser</th> <th>Name</th> <th>Scale</th> <th>Miles</th> <th>Operators</th> <th>Control</th> <th>Dispatch</th> </tr> 

    <?  
        require_once('eventtools/access.php'); require_once('eventtools/utilities.php'); require_once('eventtools/formatting.php');
        function simple_table_format_cell($index, $row, $name) {
            $val = errorOnEmpty(htmlspecialchars($row[$name]),$name);
            // special cases
            if ($name == 'layout_owner_lastname') {
                $val = errorOnEmpty(htmlspecialchars($row["layout_owner_firstname"]." ".$row["layout_owner_lastname"]),"name");
            } else if ($name == 'layout_owner_firstname') {
                return;
            } else if ($name == 'layout_photo_url') {
                $val = '<a href="'.$row[$name].'">Description & Photos</a>';
            } else if ($name == 'layout_dispatched_by1') {
                if (strlen($row['layout_dispatched_by2']) > 0) {
                    $val = errorOnEmpty(htmlspecialchars($row["layout_dispatched_by1"]."/".$row["layout_dispatched_by2"]),"dispatch");
                }
            } else if ($name == 'layout_dispatched_by2') {
                return;
            }
            echo "  <td";
            if ($row["layout_status_code"] == 50) echo " style=\"background-color:40ff40\" ";
	    echo ">\n";
            echo "    <span class=\"et-".$name."\">\n";
            echo "      <a name=\"".$row[$name]."\"></a>\n";
            echo "     ".$val;
            echo "      </span> \n";
            echo "  </td>\n";
        }
        simple_table('layouts', 
            array('layout_owner_lastname', 'layout_owner_firstname', 'layout_photo_url', 'layout_name', 'layout_scale', 'layout_distance', 'layout_num_ops', 'layout_control', 'layout_dispatched_by1'), 
            "`layout_status_code` >= 50 ");
    ?>


</table>

<p>
Notes:
<br>
Layouts in green stripes are bonus layouts and will be offered before or after the main event.  See the descriptions for more details.
<br>
<br>
All DCC layouts use radio cabs.
<br>
CTC = Centralized Traffic Control
<br>
DTC = Direct Traffic Control - verbal authority assigning pre-defined blocks of track
<br>
Tower = Trains handed off from tower to tower with signal indication under rule 251
<br>
TT&amp;TO = Time Table and Train Order
<br>
TWC = Track Warrant Control - verbal authority with variable blocks
<br>
Yard Limits = All movements at Restricted Speed, prepared to stop in half the distance to any obstruction
</p>

</td>
</tr></table>

<?
include("includes/footer.inc");
?>

</body>
</html>
<p>
Modfied 9/04/2024
</p>
